import getDb from '../db/index.js';
import logger from '#root/utils/logger.js'

export async function getRandomRecipe(limit = 5) {
  logger(`随机${limit}个食谱`)
  const data = await getDb();
  const len = data.length;
  const list = [];
  const indexList = new Set();
  while (indexList.size < limit) {
    const index = Math.floor(Math.random() * len);
    if (!indexList.has(index)) {
      indexList.add(index);
      list.push(data[index]);
    }
  }
  return list;
}
